Get Incident by ID
curl --request GET \
--url https://app.govworx.net/api/v1/external/mcp/resources/incidents/{incidentId}import requests
url = "https://app.govworx.net/api/v1/external/mcp/resources/incidents/{incidentId}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://app.govworx.net/api/v1/external/mcp/resources/incidents/{incidentId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123,
"number": "<string>",
"sysId": "<string>",
"caseNumber": "<string>",
"priority": "<string>",
"incidentType": "<string>",
"initialIncidentType": "<string>",
"initialLocation": "<string>",
"callerNumber": "<string>",
"callerName": "<string>",
"agency": "<string>",
"agencyType": "<string>",
"location": "<string>",
"latitude": "<string>",
"longitude": "<string>",
"responseArea": "<string>",
"disposition": "<string>",
"additionalContext": "<string>",
"callPosition": "<string>",
"callTakerId": "<string>",
"callTakerName": "<string>",
"callSource": "<string>",
"radioChannel": "<string>",
"incidentDate": "2023-11-07T05:31:56Z",
"dispatchQueueAt": "2023-11-07T05:31:56Z",
"callReceivedTime": "2023-11-07T05:31:56Z",
"callPickupTime": "2023-11-07T05:31:56Z",
"callHangupTime": "2023-11-07T05:31:56Z",
"closedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"notes": [
{
"noteId": "<string>",
"note": "<string>",
"noteBy": "<string>",
"noteAt": "2023-11-07T05:31:56Z"
}
],
"responders": [
{
"personnelId": "<string>",
"personnelFirstName": "<string>",
"personnelLastName": "<string>",
"unitName": "<string>",
"dispatchedBy": "<string>",
"dispatchedAt": "2023-11-07T05:31:56Z",
"enrouteAt": "2023-11-07T05:31:56Z",
"arrivedAt": "2023-11-07T05:31:56Z",
"clearedAt": "2023-11-07T05:31:56Z"
}
],
"event": {
"id": 123,
"number": "<string>"
}
}MCP Resources
Get Incident by ID
Fetch a single incident by ID. Token must have ‘Browse Events’ or ‘Manage Events’ permission.
GET
/
api
/
v1
/
external
/
mcp
/
resources
/
incidents
/
{incidentId}
Get Incident by ID
Path Parameters
Response
200 - */*
OK
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I

